Bug 30909 - AssetManager.AssetInputStream is missing in Mono.Android.dll
Summary: AssetManager.AssetInputStream is missing in Mono.Android.dll
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: 5.2
Hardware: PC Linux
: Normal normal
Target Milestone: 15.4
Assignee: dean.ellis
URL:
Depends on:
Blocks:
 
Reported: 2015-06-08 11:43 UTC by Atsushi Eno
Modified: 2017-10-05 16:12 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Atsushi Eno 2015-06-08 11:43:24 UTC
We don't seem to have the corresponding binding class for this:
https://developer.android.com/reference/android/content/res/AssetManager.AssetInputStream.html
Comment 1 Pierce Boggan [MSFT] 2017-06-28 02:40:51 UTC
I am able to reproduce this in the latest d15-3 builds.

Environment Info: https://gist.github.com/pierceboggan/672887815eb492da9e851e6bff79ae21
Comment 2 Atsushi Eno 2017-06-28 10:38:31 UTC
https://github.com/xamarin/xamarin-android/pull/662 contains a fix for this.
Comment 3 Peter Collins 2017-10-05 15:25:27 UTC
Marking as resolved fixed based on comment #2
Comment 4 Peter Collins 2017-10-05 16:12:32 UTC
Verified fixed in XA 8.0.0.33.